<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"> 
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Demonstration</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="css/custom.css" >
 </head>
<body>

  <header>  
        <nav class="navbar navbar-expand-md navbar-light border-bottom p-3 ">
  	<a href="javascript:openNav()" class="d-md-none" ><span data-feather="menu"></span></a>
        <h6 class="float-left my-0 mr-md-auto font-weight-bold logo text-left">Demonstration</h6>
        <span class="float-right small text-success" style="position:absolute;top:0;right:15px" >Logged in as :mthaha@gmail.com</span>
        <h6 class="my-0 font-weight-bold logo">Administrative Area</h6>
        </nav>
  </header>   

    <div class="container-fluid ">
      <div class="row">
        <nav class="col-md-3 col-lg-2  d-md-block bg-light  sidenav" id="mySidenav" style="padding-left:0;padding-right:0" >
         <a href="javascript:void(0)" class="closebtn d-md-none" onclick="closeNav()">&times;</a>
          <div>
            <ul class="nav flex-column">
              <li class="nav-item">
                <a class="nav-link " href="dashboard.html">
                  <span data-feather="home"></span>
                  Dashboard <span class="sr-only">(current)</span>
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link active" href="products.html">
                  <span data-feather="user"></span>
                  Products Management
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="file"></span>
                  Stock Management
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="share"></span>
                  Distributor Management               </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="layers"></span>
                  Invoice Management
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="bar-chart-2"></span>
                  Reports
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="lock"></span>
                  Change Password
                </a>
              </li>
                           
             <li class="nav-item">
                <a class="nav-link" href="login.html">
                  <span data-feather="log-out"></span>
                  Logout
                </a>
              </li>
            </ul>
          </div>
        </nav>

        <main role="main" id="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
        <nav aria-label="breadcrumb" >
          <ol class="breadcrumb mt-3">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item"><a href="products.html">Product Management</a></li>
            <li class="breadcrumb-item active" aria-current="page">New Product</li>
          </ol>
        </nav>
          <h5>New Product</h5>
          
<form novalidate class="needs-validation" name="frmProducts" method="post" action="#">
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="name">Product Name</label>
      <input type="text" class="form-control"  name="name" id="name" placeholder="Product Name" required>
      <div class="invalid-feedback">
          Please provide a valid product name.
        </div>
    </div>
    <div class="form-group col-md-6">
      <label for="price">Price</label>
      <input type="number" class="form-control" id="price" name="price" placeholder="Price" required >
        <div class="invalid-feedback">
          Please provide a valid price.
        </div>
    </div>
  </div>
  <div class="form-group">
    <label for="description">Product Description</label>
    <textarea name="description" id="description"  class="form-control"></textarea>
  </div>

  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="inputCity">Category</label>
      <select id="category_id" name="category_id" class="form-control"  required >
        <option value="" selected>Choose...</option>
        <option value="1">Electronics</option>
        <option value="2">Books</option>
      </select>
      <div class="invalid-feedback">
          Please choose a valid category.
        </div>
    </div>
    <div class="form-group col-md-6">
      <label for="inputState">Product Image</label>
      <input type="file" name="sortpic"  class="form-control" id="sortpicture"  >
    </div>
    </div>
  <div class="form-group">
    <div class="form-check">
      
    </div>
  </div>
  <button type="submit" id='save' class="btn btn-primary">Save</button>
  <button type="reset" class="btn">Cancel</button>
</form>
     
          
        </main>
      </div>
    </div>

<footer class="text-center">
                 <p>© Copyright 2018  - All rights reserved</p>
</footer>  

<script>
   
    document.getElementById("mySidenav").style.display = "none";
     /* Set the width of the side navigation to 250px */
    function openNav() {
      document.getElementById("mySidenav").style.width = "250px";
      document.getElementById("mySidenav").style.display = "block";
    }
    /* Set the width of the side navigation to 0 */
    function closeNav() {
        document.getElementById("mySidenav").style.width = "0";
    }  
    </script>

    <!-- Icons -->
    <script src="https://unpkg.com/feather-icons/dist/feather.min.js"></script>
    <script>
      feather.replace()
    </script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>


    
    <script>

// Example starter JavaScript for disabling form submissions if there are invalid fields
(function() {
  'use strict';
  window.addEventListener('load', function() {
    // Fetch all the forms we want to apply custom Bootstrap validation styles to
    var forms = document.getElementsByClassName('needs-validation');
    // Loop over them and prevent submission
    var validation = Array.prototype.filter.call(forms, function(form) {
      form.addEventListener('submit', function(event) {
        if (form.checkValidity() === false) {
          event.preventDefault();
          event.stopPropagation();
        }else{
            event.preventDefault();
            event.stopPropagation();
            saveNewProduct();
        }
        form.classList.add('was-validated');
        
      }, false);
    });
  }, false);
})();

</script>
    
    
<script type = "text/javascript" language = "javascript">
         function saveNewProduct(){
             
                input_name = $("#name").val();
                input_price = $("#price").val();
                input_description = $("#description").val();
                input_category = $("#category_id").val();
                
               $.post( 
                  "http://localhost:8000/api/products",
                  { name: input_name,
                    price: input_price,
                    description : input_description,
                    image: "test.png",
                    category_id: input_category,
                    created_by : 1
                    },
                  function(data,status,xhr) {
                     if(status == 'success'){
                          window.location.replace("http://localhost/jimmy/products.html?status=added");
                     }else{
                         alert("Operations failed");
                     }
                     
                  }
               );
         }
         
         
      </script>
 
  </body>
</html>
